zita-alsa-pcmi(1)

NAME
alsa_loopback - loop back the first two channels of a alsa device to another device

SYNOPSIS
alsa_loopback playdev captdev fsamp frsize nfrags

DESCRIPTION
This tool is mainly for testing whether a given soundcard works with the zita-alsa-pcmi library. It will send the 1st two channels of the given capture device to the playback device, using the specified settings.

Note, that this might give massive (ear and equipment damaging) feedback if your capture device is connected to a microphone near some speakers connected to the playback device.

ARGUMENTS

playdev
    ALSA playback device (e.g.: hw:0)

captdev
    ALSA capture device (e.g.: hw:0)

fsamp
    Sample rate (e.g.: 48000)

frsize
    Period size (e.g.: 256)

nfrags
    Number of fragments (e.g.: 2)

EXAMPLES
This will loopback the 1st two channels of hw:0 to hw:1 using 48kHz samplerate, and 10 fragments each 2048 samples.
  alsa_loopback hw:0 hw:1 48000 2048 10

AUTHOR
zita-alsa-pcmi was written by Fons Adriaensen <fons@linuxaudio.org>.

This manual page was written by IOhannes m zmoelnig <zmoelnig@iem.at> for the Debian project (but may be used by others).